/**
 * \file
 *
 * \brief Autogenerated API include file for the Atmel Software Framework (ASF)
 *
 * Copyright (c) 2012 Atmel Corporation. All rights reserved.
 *
 * \asf_license_start
 *
 * \page License
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 *
 * 3. The name of Atmel may not be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * 4. This software may only be redistributed and used in connection with an
 *    Atmel microcontroller product.
 *
 * THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE
 * EXPRESSLY AND SPECIFICALLY DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * \asf_license_stop
 *
 */

#ifndef ASF_H
#define ASF_H

// From module: CPU specific features
#include <mega_reset_cause.h>

// From module: Delay routines
#include "delay.h"

// From module: Generic board support
#include "board.h"

//// From module: Huge Memory Interface
//#include <hugemem.h>

// From module: IOPORT - General purpose I/O service
#include <ioport.h>

// From module: Interrupt management - MEGA implementation
#include <interrupt.h>

// From module: NVM - Non Volatile Memory
//#include <nvm.h>

// From module: NVM - Non volatile memory access
#include <common_nvm.h>

// From module: Part identification macros
#include <parts.h>

// From module: Sleep Controller driver
#include <sleep.h>
#include <sleep_megarf.h>

// From module: Sleep manager - MEGA implementation
#include <sleepmgr.h>

// From module: System Clock Control - MEGA implementation
#include <sysclk.h>

// From module: TC - Timer Counter
//#include <tc_timeout.h>


// From module: MEGA compiler driver
#include <compiler.h>
#include <status_codes.h>

#endif // ASF_H
